Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge --update --deep --newuse @world Error [RISOLTO]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Mon Jan 15, 2018 2:10 pm    Post subject: emerge --update --deep --newuse @world Error [RISOLTO] Reply with quote

Ho una installazione basata su OpenRC su cui mi sono accorto di aver erroneamente abilitato Systemd .
Ho quindi proceduto a disabilitare Systemd e a mascherarne gli usi seguendo la guida ufficiale ( https://wiki.gentoo.org/wiki/Gentoo_Without_systemd) per la cronaca ho scelto la seconda opzione di un unico grosso file /etc/portage/package.mask .

All'atto di aggiornare il sistema alla nuova flags di USE come da manuale (https://wiki.gentoo.org/wiki/Handbook:PPC/Working/USE)
ho eseguito come root (anche su /dev/null):

Code:

root #emerge --update --deep --newuse @world
.
.
.
ERROR: app-text/qpdf-5.1.1-r1::gentoo failed (compile phase):
   emake failed
*
* If you need support, post the output of `emerge --info '=app-text/qpdf-5.1.1-r1::gentoo'`,
* the complete build log and the output of `emerge -pqv '=app-text/qpdf-5.1.1-r1::gentoo'`.
* The complete build log is located at '/var/tmp/portage/app-text/qpdf-5.1.1-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/app-text/qpdf-5.1.1-r1/temp/environment'.
* Working directory: '/var/tmp/portage/app-text/qpdf-5.1.1-r1/work/qpdf-5.1.1'
  S: '/var/tmp/portage/app-text/qpdf-5.1.1-r1/work/qpdf-5.1.1'


output emerge --info--->https://pastebin.com/FK48LjhD.[/b]

Invece il comando:
Code:
#emrge -puDNv

da output:
Code:
Total: 81 packages (10 upgrades, 59 new, 1 in new slot, 11 reinstalls), Size of downloads: 0 KiB

The following packages are causing rebuilds:

  (sys-libs/gdbm-1.13-r2:0/1.13::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-lang/python-2.7.14-r1:2.7/2.7::gentoo, ebuild scheduled for merge)
    (dev-lang/python-3.5.4-r1:3.5/3.5m::gentoo, ebuild scheduled for merge)
  (sys-libs/readline-7.0_p3:0/7::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-lang/python-2.7.14-r1:2.7/2.7::gentoo, ebuild scheduled for merge)
    (sys-libs/gdbm-1.13-r2:0/1.13::gentoo, ebuild scheduled for merge)
    (sys-apps/gawk-4.1.4:0/0::gentoo, ebuild scheduled for merge)
    (app-shells/bash-4.4_p12:0/0::gentoo, ebuild scheduled for merge)
    (sys-devel/bc-1.06.95-r2:0/0::gentoo, ebuild scheduled for merge)
    (dev-libs/libxml2-2.9.6:2/2::gentoo, ebuild scheduled for merge)
    (dev-libs/libpcre-8.41-r1:3/3::gentoo, ebuild scheduled for merge)
    (dev-lang/spidermonkey-1.8.5-r6:0/mozjs185::gentoo, ebuild scheduled for merge)
    (dev-db/sqlite-3.20.1-r1:3/3::gentoo, ebuild scheduled for merge)
    (sys-apps/util-linux-2.30.2:0/0::gentoo, ebuild scheduled for merge)
    (dev-lang/python-3.5.4-r1:3.5/3.5m::gentoo, ebuild scheduled for merge)


Grazie in anticipo per il supporto.


Last edited by cesma on Tue Jan 16, 2018 9:01 am; edited 2 times in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Mon Jan 15, 2018 2:17 pm    Post subject: Re: emerge --ask --oneshot sys-fs/eudev Error Reply with quote

Per il problema di qpdf dovresti anche postare il contenuto del build log con wgetpaste (/var/tmp/portage/app-text/qpdf-5.1.1-r1/temp/build.log).

cesma wrote:
Invece il comando:
Code:
#emrge -puDNv

da output:
Code:
Total: 81 packages (10 upgrades, 59 new, 1 in new slot, 11 reinstalls), Size of downloads: 0 KiB

The following packages are causing rebuilds:

  (sys-libs/gdbm-1.13-r2:0/1.13::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-lang/python-2.7.14-r1:2.7/2.7::gentoo, ebuild scheduled for merge)
    (dev-lang/python-3.5.4-r1:3.5/3.5m::gentoo, ebuild scheduled for merge)
  (sys-libs/readline-7.0_p3:0/7::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-lang/python-2.7.14-r1:2.7/2.7::gentoo, ebuild scheduled for merge)
    (sys-libs/gdbm-1.13-r2:0/1.13::gentoo, ebuild scheduled for merge)
    (sys-apps/gawk-4.1.4:0/0::gentoo, ebuild scheduled for merge)
    (app-shells/bash-4.4_p12:0/0::gentoo, ebuild scheduled for merge)
    (sys-devel/bc-1.06.95-r2:0/0::gentoo, ebuild scheduled for merge)
    (dev-libs/libxml2-2.9.6:2/2::gentoo, ebuild scheduled for merge)
    (dev-libs/libpcre-8.41-r1:3/3::gentoo, ebuild scheduled for merge)
    (dev-lang/spidermonkey-1.8.5-r6:0/mozjs185::gentoo, ebuild scheduled for merge)
    (dev-db/sqlite-3.20.1-r1:3/3::gentoo, ebuild scheduled for merge)
    (sys-apps/util-linux-2.30.2:0/0::gentoo, ebuild scheduled for merge)
    (dev-lang/python-3.5.4-r1:3.5/3.5m::gentoo, ebuild scheduled for merge)


Grazie in anticipo per il supporto.

Qua non vedo nessun problema, solo qualche rebuild a causa dell'upgrade di qualche pacchetto, puoi cmq postare tutto l'output di emerge?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Mon Jan 15, 2018 2:42 pm    Post subject: Re: emerge --ask --oneshot sys-fs/eudev Error Reply with quote

fedeliallalinea wrote:
Per il problema di qpdf dovresti anche postare il contenuto del build log con wgetpaste (/var/tmp/portage/app-text/qpdf-5.1.1-r1/temp/build.log).

Invece il comando:
Code:
#emrge -puDNv

da output:
[code]Total: 81 packages (10 upgrades, 59 new, 1 in new slot, 11 reinstalls), Size of downloads: 0 KiB


Qua non vedo nessun problema, solo qualche rebuild a causa dell'upgrade di qualche pacchetto, puoi cmq postare tutto l'output di emerge?


Ecco il link per l'output con wgetpaste ---> https://paste.pound-python.org/show/ILWAztEp1X7eu3Hy4Dho/
e emerge --info ---> https://pastebin.com/U5VBf93F
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Mon Jan 15, 2018 2:56 pm    Post subject: Reply with quote

Per qpdf mi sa che e' un problema simile a quello che hai per /dev/null, per esserne certi posta l'ouput dei comandi
Code:
$ ls -l /dev/random /dev/urandom

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Mon Jan 15, 2018 3:18 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Per qpdf mi sa che e' un problema simile a quello che hai per /dev/null, per esserne certi posta l'ouput dei comandi
Code:
$ ls -l /dev/random /dev/urandom


Hai ragione infatti sono entrambi:

Code:
crw-rw---- 1 root root 1,8 12 gen 19.39 /dev/null
crw-rw---- 1 root root 1,9 12 gen 19.39 /dev/null
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 8:24 am    Post subject: Reply with quote

Ho risolto l'errore, ora ho eseguito con successo:

Code:
#emerge --update --deep --newuse @world
#root #emerge -p --depclean

l'ultimo comando mi restituisce:
Code:

app-arch/lz4
 selected:1.7.5-r1
 protected:none
 omittee:none

sys-kernel/gentoo-sources
 selected:4.14.7
 protected:none
 omittee:4.972


il primo pacchetto se ho capito bene posso rimuoverlo il secondo ha dipendenze per cui meglio non rimuoverlo.
Come faccio a rimuovere solo il primo pacchetto emerge --depclean mi pare di capire rimuoverebbe tutto quindi non va bene giusto ?

Poi procederei con:
Code:
 #revdep-rebuild
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 8:31 am    Post subject: Reply with quote

cesma wrote:
Ho risolto l'errore, ora ho eseguito con successo:

Ottimo puoi postare nell'altro thread come hai fatto?

cesma wrote:
Code:
#emerge --update --deep --newuse @world
#root #emerge -p --depclean

l'ultimo comando mi restituisce:
Code:

app-arch/lz4
 selected:1.7.5-r1
 protected:none
 omittee:none

sys-kernel/gentoo-sources
 selected:4.14.7
 protected:none
 omittee:4.972


il primo pacchetto se ho capito bene posso rimuoverlo il secondo ha dipendenze per cui meglio non rimuoverlo.

Dipende che kernel hai in uso il 4.14.7 o il 4.9.72? Lo vedi con il comando uname -a

cesma wrote:
Come faccio a rimuovere solo il primo pacchetto emerge --depclean mi pare di capire rimuoverebbe tutto quindi non va bene giusto ?

Non rimuove tutto ma solo sys-kernel/gentoo-sources-4.14.7 ma se e' il tuo kernel in uso non va bene
Code:
$ emerge --depclean --exclude=sys-kernel/gentoo-sources


cesma wrote:
Poi procederei con:
Code:
 #revdep-rebuild

Questo comando ti viene detto da portage quando utilizzarlo non serve farlo sempre.
Di solito questo comando viene
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 9:00 am    Post subject: Reply with quote

Quote:
fedeliallalinea ha scritto:

Ottimo puoi postare nell'altro thread come hai fatto?

Certo, devo riorganizzare i vari post e poi inserirò breve descrizione del problema e risoluzione.
Comunque il problema di questo thread è strettamente legato all'altro quindi per chi dovesse capitare qui lascio il link del thread risolutivo: https://forums.gentoo.org/viewtopic-t-1075216.html.


Quote:
fedeliallalinea ha scritto:

Dipende che kernel hai in uso il 4.14.7 o il 4.9.72? Lo vedi con il comando uname -a

cesma ha scritto:
Come faccio a rimuovere solo il primo pacchetto emerge --depclean mi pare di capire rimuoverebbe tutto quindi non va bene giusto ?

Non rimuove tutto ma solo sys-kernel/gentoo-sources-4.14.7 ma se e' il tuo kernel in uso non va bene
Codice:
$ emerge --depclean --exclude=sys-kernel/gentoo-sources

Il mio kernel è 4.14.7-gentoo , quindi mi pare di capire che è meglio non rimuovere nulla ma fare solo
Code:
#revdep-rebuild

corretto?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 9:21 am    Post subject: Reply with quote

cesma wrote:
Il mio kernel è 4.14.7-gentoo , quindi mi pare di capire che è meglio non rimuovere nulla ma fare solo

Per prima cosa ti consiglierei di passare al kernel stabile 4.9.72 o sei vuoi restare nel ramo 4.14 di mettere almeno il 4.14.12 questo per prevenire il recente problema del bug per cpu intel (meltdown).
Poi se vuoi restare nel ramo 4.14 e non vuoi che non venga suggerito da depclean come da rimuovere puoi mascherare le versioni precedenti e smacherare la versione che vuoi con i comandi
Code:
echo "<sys-kernel/gentoo-sources-4.14" >> /etc/portage/package.mask
echo "=sys-kernel/gentoo-sources-4.14.xx" >> /etc/portage/package.accept_keywords

in questo modo depclean non ti vorra' piu' cancellare la tua versione e la vedrai in omitted (cambia xx con la minor version del kernel che hai installato)

cesma wrote:
Code:
#revdep-rebuild

corretto?

Io lo eseguo solo quando alla fine di un emerge portage me lo suggerisce
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 9:36 am    Post subject: Reply with quote

fedeliallalinea wrote:
cesma wrote:
Il mio kernel è 4.14.7-gentoo , quindi mi pare di capire che è meglio non rimuovere nulla ma fare solo

Per prima cosa ti consiglierei di passare al kernel stabile 4.9.72 o sei vuoi restare nel ramo 4.14 di mettere almeno il 4.14.12 questo per prevenire il recente problema del bug per cpu intel (meltdown).
Poi se vuoi restare nel ramo 4.14 e non vuoi che non venga suggerito da depclean come da rimuovere puoi mascherare le versioni precedenti e smacherare la versione che vuoi con i comandi
Code:
echo "<sys-kernel/gentoo-sources-4.14" >> /etc/portage/package.mask
echo "=sys-kernel/gentoo-sources-4.14.xx" >> /etc/portage/package.accept_keywords

in questo modo depclean non ti vorra' piu' cancellare la tua versione e la vedrai in omitted (cambia xx con la minor version del kernel che hai installato)

cesma wrote:
Code:
#revdep-rebuild

corretto?

Io lo eseguo solo quando alla fine di un emerge portage me lo suggerisce


Per il mio attuale livello di competenza un kernel o l'altro lè tan istes, mi giri un link o mi passi la sequenza di comandi per passare alla versione kernel stabile 4.9.72
giusto per chiudere il cerchio?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 9:46 am    Post subject: Reply with quote

cesma wrote:
Per il mio attuale livello di competenza un kernel o l'altro lè tan istes, mi giri un link o mi passi la sequenza di comandi per passare alla versione kernel stabile 4.9.72
giusto per chiudere il cerchio?

La guida e' questa.
Se usi genkernel ti basta selezionare con eselect il kernel che vuoi e poi con il comando
Code:
# genkernel --kernel-config=/etc/kernels/kernel-config-x86_64-4.XX.YY all

cambia ovviamente xx.yy con quello che hai in /etc/kernels.

Alla fine ricorda che se hai grub di lancia (che usi genkernel o meno)
Code:
# grub-mkconfig -o /boot/grub/grub.cfg

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 10:10 am    Post subject: Reply with quote

Ok, grazie leggo e procedo e se serve ti chiedo.

Ho postato quanto fatto cercando di essere il più chiaro possibile, fammi sapere se è tutto ok.
Ho aggiornato il titolo dei due interventi in RISOLTO.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 10:12 am    Post subject: Reply with quote

cesma wrote:
Ho postato quanto fatto cercando di essere il più chiaro possibile, fammi sapere se è tutto ok.

Si mi pare un ottimo riassunto o solo messo un nota su un'altra possibile causa al problema
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 2:51 pm    Post subject: Reply with quote

Dunque avendo tempo stavo provando a migrare al kernel stabile ma:

Code:
#emerge --ask --update --deep --with-bdeps=y --newuse @world

--> ok mi scarica la versione 4.9.72

Fatta la copia di back up delle configurazioni del vecchio kernel.

Code:
root #eselect kernel set 2

-->fatto impostando l'asterisco sulla nuova versione (4.9.72)

Copia della configurazione del precedente kernel:
ella directory del kernel attualmente in esecuzione:
Code:
root #cp /usr/src/linux-3.14.14-gentoo/.config /usr/src/linux/

mi è sembrata la più approprita.

Code:
#make silentoldconfig

--> impostando le novità nella modalità di default;

Reinstallare moduli kernel esterni: FATTO ma non credo di averne.

bootloader re-installato GRAB2 ---> https://wiki.gentoo.org/wiki/GRUB2_Quick_Start

Al reboot però uname -a vede ancora kernel 14.14.7 inoltre durante il boot viene visualizzato un errore.

Ho notato che se faccio:
Code:
#grub-mkconfig -o /boot/grub/grub.cfg

le immagini rilevate sono sempre e solo riferibili alla versione kernel 4.14.7 .
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 3:00 pm    Post subject: Reply with quote

Hai dato i comandi
Code:
# make
# make modules_install
# make install
:?:
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 3:06 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Hai dato i comandi
Code:
# make
# make modules_install
# make install
:?:


no ho fatto solo:
Code:
root #cd /usr/src/linux
root #make silentoldconfig

come dice la guida, non basta a ricompilare vecchie e nuove cofig del kernel? Guida?
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 3:09 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Hai dato i comandi
Code:
# make
# make modules_install
# make install
:?:


no ho fatto solo:
Code:
root #cd /usr/src/linux
root #make silentoldconfig

come dice la guida, non basta a ricompilare vecchie e nuove config del kernel? Guida?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 3:25 pm    Post subject: Reply with quote

cesma wrote:
no ho fatto solo:
Code:
root #cd /usr/src/linux
root #make silentoldconfig

come dice la guida, non basta a ricompilare vecchie e nuove config del kernel? Guida?

No quello e' solo per mettere a posto la configurazione.
Nella stessa guida dopo questo ti dice di compilere il kernel che ti rimanda a https://wiki.gentoo.org/wiki/Kernel/Configuration#Build
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 3:30 pm    Post subject: Reply with quote

fedeliallalinea wrote:
cesma wrote:
no ho fatto solo:
Code:
root #cd /usr/src/linux
root #make silentoldconfig

come dice la guida, non basta a ricompilare vecchie e nuove config del kernel? Guida?

No quello e' solo per mettere a posto la configurazione.
Nella stessa guida dopo questo ti dice di compilere il kernel che ti rimanda a https://wiki.gentoo.org/wiki/Kernel/Configuration#Build


hai ragione, lo avevo aperto ma non ci sono passato o meglio ho lanciato solo
Code:
#make


completo le rimanenti.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 4:02 pm    Post subject: Reply with quote

Ok, ho completato ho un'ultima cosa:

Code:
make install
sh ./arch/x86/boot/install.sh 4.9.72-gentoo arch/x86/boot/bzImage \
   System.map "/boot"
run-parts: executing /etc/kernel/postinst.d/vboxadd 4.9.72-gentoo /boot/vmlinuz-4.9.72-gentoo
VirtualBox Guest Additions: Building the VirtualBox Guest Additions kernel modules.
VirtualBox Guest Additions: Look at /var/log/vboxadd-setup.log to find out what went wrong


Code:
less /var/log/vboxadd-setup.log
Building the main Guest Additions module.
Makefile:151: arch/x86/boot/Makefile.include.footer: File o directory non esiste
make[2]: ***  Nessuna regola per generare l'obiettivo "arch/x86/boot/Makefile.include.footer".  Arresto.
Creating user for the Guest Additions.
Creating udev rule for the Guest Additions kernel module.


Come mai mi ha bloccato le guestAddition? è solo questione di ricaricarle?

inoltre uname -a mi da sempre 4.14.7.

Al reboot l'errore riguarda eth0 infatti non riesce più a pingare; provo a riavviare la VM magari si è bloccato il servizio
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 4:56 pm    Post subject: Reply with quote

cesma wrote:
Come mai mi ha bloccato le guestAddition? è solo questione di ricaricarle?

Ogni volta che cambi kernel dovresti dare anche emerge @module-rebuild questo ricompila tutti i moduli che non sono direttamente nel kernel (come quelli per virtualbox).

cesma wrote:
inoltre uname -a mi da sempre 4.14.7.

La partizione di boot era montata quado hai dato make install? Dopo il make install hai dato il comando per ricreare il grub.cfg?

cesma wrote:
Al reboot l'errore riguarda eth0 infatti non riesce più a pingare; provo a riavviare la VM magari si è bloccato il servizio

Probabilmente legato al primo problema che hai descritto
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 5:35 pm    Post subject: Reply with quote

Ho ripetuto la procedura con le aggiunte che mi hai segnalato ma nada de nada, io vedo ancora la versione 4.14 e non la 4.9.
Può dipendere dalle opzioni di kernel e bootloader? Io ho lasciato tutto di default.

Non capisco perchè ifconfig o un semplice ping no funzionino più.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 5:54 pm    Post subject: Reply with quote

Posti per favore il contenuto della partizione di /boot e il file /boot/grub/grub.cfg?

EDIT: anche l'output del comando mount
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cesma
n00b
n00b


Joined: 08 Jan 2018
Posts: 61

PostPosted: Tue Jan 16, 2018 6:12 pm    Post subject: Reply with quote

Code:
ls /boot
config-4.14.7-gentoo                   System.map-4.14.7-gentoo.old
config-4.14.7-gentoo.old               System.map-4.9.72-gentoo
config-4.9.72-gentoo                   System.map-4.9.72-gentoo.old
config-4.9.72-gentoo.old               vmlinuz-4.14.7-gentoo
grub                                   vmlinuz-4.14.7-gentoo.old
initramfs-genkernel-x86-4.14.7-gentoo  vmlinuz-4.9.72-gentoo
lost+found                             vmlinuz-4.9.72-gentoo.old
System.map-4.14.7-gentoo


Code:

#cat /boot/grab/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
if [ "${next_entry}" ] ; then
   set default="${next_entry}"
   set next_entry=
   save_env next_entry
   set boot_once=true
else
   set default="0"
fi

if [ x"${feature_menuentry_id}" = xy ]; then
  menuentry_id_option="--id"
else
  menuentry_id_option=""
fi

export menuentry_id_option

if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  if [ x$feature_all_video_module = xy ]; then
    insmod all_video
  else
    insmod efi_gop
    insmod efi_uga
    insmod ieee1275_fb
    insmod vbe
    insmod vga
    insmod video_bochs
    insmod video_cirrus
  fi
}

if [ x$feature_default_font_path = xy ] ; then
   font=unicode
else
insmod part_msdos
insmod ext2
set root='hd0,msdos4'
if [ x$feature_platform_search_hint = xy ]; then
  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos4 --hint-efi=hd0,msdos4 --hint-baremetal=ahci0,msdos4  e975192d-834b-429f-a365-98f6137c299d
else
  search --no-floppy --fs-uuid --set=root e975192d-834b-429f-a365-98f6137c299d
fi
    font="/usr/share/grub/unicode.pf2"
fi

if loadfont $font ; then
  set gfxmode=auto
  load_video
  insmod gfxterm
  set locale_dir=$prefix/locale
  set lang=it_IT
  insmod gettext
fi
terminal_output gfxterm
if [ x$feature_timeout_style = xy ] ; then
  set timeout_style=menu
  set timeout=5
# Fallback normal timeout code in case the timeout_style feature is
# unavailable.
else
  set timeout=5
fi
### END /etc/grub.d/00_header ###


Code:
#mount
proc on /proc type proc (rw,nosuid,nodev,noexec,relatime)
udev on /dev type devtmpfs (rw,nosuid,relatime,size=10240k,nr_inodes=218345,mode=755)
devpts on /dev/pts type devpts (rw,relatime,gid=5,mode=620,ptmxmode=000)
sysfs on /sys type sysfs (rw,nosuid,nodev,noexec,relatime)
/dev/sda4 on / type ext4 (rw,noatime,data=ordered)
tmpfs on /run type tmpfs (rw,nodev,relatime,size=198616k,mode=755)
mqueue on /dev/mqueue type mqueue (rw,nosuid,nodev,noexec,relatime)
shm on /dev/shm type tmpfs (rw,nosuid,nodev,noexec,relatime)
debugfs on /sys/kernel/debug type debugfs (rw,nosuid,nodev,noexec,relatime)
selinuxfs on /sys/fs/selinux type selinuxfs (rw,relatime)
cgroup_root on /sys/fs/cgroup type tmpfs (rw,nosuid,nodev,noexec,relatime,size=10240k,mode=755)
openrc on /sys/fs/cgroup/openrc type cgroup (rw,nosuid,nodev,noexec,relatime,release_agent=/lib/rc/sh/cgroup-release-agent.sh,name=openrc)
none on /sys/fs/cgroup/unified type cgroup2 (rw,nosuid,nodev,noexec,relatime,nsdelegate)
cpuset on /sys/fs/cgroup/cpuset type cgroup (rw,nosuid,nodev,noexec,relatime,cpuset)
cpu on /sys/fs/cgroup/cpu type cgroup (rw,nosuid,nodev,noexec,relatime,cpu)
cpuacct on /sys/fs/cgroup/cpuacct type cgroup (rw,nosuid,nodev,noexec,relatime,cpuacct)
freezer on /sys/fs/cgroup/freezer type cgroup (rw,nosuid,nodev,noexec,relatime,freezer)
/dev/sda2 on /boot type ext4 (rw,noatime,data=ordered)
Linux_Gentoo on /mnt/scambio_vbox type vboxsf (rw,nodev,relatime)
binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw,nosuid,nodev,noexec,relatime)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20122
Location: here

PostPosted: Tue Jan 16, 2018 6:20 pm    Post subject: Reply with quote

Sei sicuro che il grub.cfg che hai postato e' completo? Usa wgetpaste per postarlo per essere certi.
Una cosa che mi e' venuta in mente e' che il kernel 4.14 viene selezionato prima dal menu di grub, hai provato a controllare la lista che ti da andando sul 'Advanced options for Gentoo GNU/Linux'?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum